@import '@JohnLewisPartnership/jl-design-system/dist/style/theme/_default.scss';
@import 'node_modules/@JohnLewisPartnership/jl-design-system/dist/scss/core/colour_jb';
@import '@JohnLewisPartnership/jl-design-system/dist/style/typography/config/_default.scss';
@import 'node_modules/@JohnLewisPartnership/jl-design-system/dist/style/typography/_display-as.scss';
@import '~@JohnLewisPartnership/jl-design-system/dist/scss/core/type_vf';

html {
  box-sizing: border-box;
}

* {
  box-sizing: inherit;

  &:before,
  &:after {
    box-sizing: inherit;
  }
}

body {
  @extend %theme-john-lewis;
  background: var(--gradient) no-repeat fixed;
  font-size: var(--base-size);
  margin: 0 auto;
  padding: 0;
  max-width: 1224px;
}

p {
  @include display-as-vf($body-m);
}
